Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula
Class AttrPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.OperationPtg
              org.apache.poi.hssf.record.formula.AttrPtg

public class AttrPtg
extends OperationPtg

"Special Attributes" This seems to be a Misc Stuff and Junk record. One function it serves is in SUM functions (i.e. SUM(A1:A3) causes an area PTG then an ATTR with the SUM option set)

Author:
  andy, Jason Height (jheight at chariot dot net dot au)

Field Summary
`static byte` | `sid`

Fields inherited from class org.apache.poi.hssf.record.formula.OperationPtg
`TYPE_BINARY, TYPE_FUNCTION, TYPE_UNARY`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, ptgClass`

Constructor Summary
`AttrPtg()`
`AttrPtg(byte[] data, int offset)`

Method Summary
`java.lang.Object` | `clone()`
`short` | `getData()`
`byte` | `getDefaultOperandClass()`
`int` | `getNumberOfOperands()` The number of operands expected by the operations
`byte` | `getOptions()`
`int` | `getSize()`
`int` | `getType()`
`boolean` | `isBaxcel()`
`boolean` | `isGoto()`
`boolean` | `isOptimizedChoose()`
`boolean` | `isOptimizedIf()`
`boolean` | `isSemiVolatile()`
`boolean` | `isSpace()`
`boolean` | `isSum()`
`void` | `setData(short data)`
`void` | `setGoto(boolean isGoto)` Flags this ptg as a goto/jump
`void` | `setOptimizedIf(boolean bif)`
`void` | `setOptions(byte options)`
`void` | `setSum(boolean bsum)`
`java.lang.String` | `toFormulaString(java.lang.String[] operands)` returns a string representation of the operations the length of the input array should equal the number returned by
`java.lang.String` | `toFormulaString(Workbook book)` return a string representation of this token alone
`java.lang.String` | `toString()` Overridden toString method to ensure object hash is not printed.
`void` | `writeBytes(byte[] array, int offset)` write this Ptg to a byte array

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, getBytes, getPtgClass, setClass, toDebugString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

See Also:
  Constant Field Values

Constructor Detail

### AttrPtg

    public AttrPtg()

### AttrPtg

    public AttrPtg(byte[] data,
                   int offset)

Method Detail

### setOptions

    public void setOptions(byte options)

### getOptions

    public byte getOptions()

### isSemiVolatile

    public boolean isSemiVolatile()

### isOptimizedIf

    public boolean isOptimizedIf()

### isOptimizedChoose

    public boolean isOptimizedChoose()

### isGoto

    public boolean isGoto()

### isSum

    public boolean isSum()

### setSum

    public void setSum(boolean bsum)

### setOptimizedIf

    public void setOptimizedIf(boolean bif)

### setGoto

    public void setGoto(boolean isGoto)

  Flags this ptg as a goto/jump

  Parameters:
    `isGoto` -

### isBaxcel

    public boolean isBaxcel()

### isSpace

    public boolean isSpace()

### setData

    public void setData(short data)

### getData

    public short getData()

### toString

    public java.lang.String toString()

  Description copied from class: `Ptg`
  Overridden toString method to ensure object hash is not printed. This helps get rid of gratuitous diffs when comparing two dumps Subclasses may output more relevant information by overriding this method

  Overrides:
    `toString` in class `Ptg`

### writeBytes

    public void writeBytes(byte[] array,
                           int offset)

  Description copied from class: `Ptg`
  write this Ptg to a byte array

  Specified by:
    `writeBytes` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`

### toFormulaString

    public java.lang.String toFormulaString(java.lang.String[] operands)

  Description copied from class: `OperationPtg`
  returns a string representation of the operations the length of the input array should equal the number returned by

  Specified by:
    `toFormulaString` in class `OperationPtg`
  See Also:
    `OperationPtg.getNumberOfOperands()`

### getNumberOfOperands

    public int getNumberOfOperands()

  Description copied from class: `OperationPtg`
  The number of operands expected by the operations

  Specified by:
    `getNumberOfOperands` in class `OperationPtg`

### getType

    public int getType()

  Specified by:
    `getType` in class `OperationPtg`

### toFormulaString

    public java.lang.String toFormulaString(Workbook book)

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### getDefaultOperandClass

    public byte getDefaultOperandClass()

  Overrides:
    `getDefaultOperandClass` in class `OperationPtg`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Ptg`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.